ChiliProject - Bug # 513: Attached files in "comment" no longer link to file

Status: Closed Priority: Normal

Author: Peter Olson Category: Journals / History

Created: 2011-07-08 Assignee: Eric Davis

Updated: 2011-07-12 Due date:

Remote issue URL:

Affected version: 2.0.0

Description: | just updated to 2.0 and noticed none of my attached files link to the file in a "comment" or "update".

See the attached image.

Associated revisions

2011-07-12 03:33 am - Eric Davis
[#513] Fix links to attachments in the issue history

History

2011-07-08 06:12 pm - Eric Davis
- Priority changed from High to Normal

- (deleted custom field) set to 2.0.0

- Status changed from Open to Needs more information

Are those from pre-2.0 or were they posted after you upgraded?

2011-07-08 06:15 pm - Peter Olson
- Status changed from Needs more information to Open

The ones in that image were after the upgrade (I upgraded yesterday and those were posted this morning), but the old ones look the same.

2011-07-08 06:28 pm - Peter Olson
Also, | went straight from 1.2.0 to 2.0 in the upgrade. Maybe that will help.

2011-07-08 06:36 pm - Peter Olson

From our convo via IRC:

> thatOn3guy: open the issue page, view the source for the page and look for that note, it will be in a div like "<div id='change-2254". The number part
is the journal id.

>

> ok I'll look

>

> edavis10: change-1790

>

> thatOn3guy: run this:

ruby script/runner -e production "puts Journal.find(1790).inspect"

here is my info:

<pre>

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /srv/www/chiliproject/lockfile/ruby/1.8/gems/rails-2.3.12/lib/rails/gem_dependency.rb:21.

#<Issuedournal id: 1790, journaled_id: 258, user_id: 3, notes: "Cory,\r\n\r\nDevelopment is going well. We need to pic...", created_at: "2011-07-08
15:09:13", version: 12, activity_type: "issues", changes: {"attachments38"=>|nil, "creative-frontpage.png"], "attachments39"=>[nil, "flex-frontpage.png"],
"attachments40"=>[nil, "flex-fullproducts.png"], "attachments41"=>[nil, "flex-catalog-grid.png"]}, type: "Issuedournal">

</pre>

2011-07-11 11:25 pm - Felix Schéafer

- Target version setto 2.1.0

- Category set to Journals / History

The issue is here source:/vendor/plugins/acts_as_journalized/lib/journal_formatter.rb#L91, the @link_to_attachment@ breaks there because it can't find

@url_for@. I've tried including @ActionView::Helpers::UrlHelper@ at different places, the problem is that that in turn breaks the first thing that uses

@url_for@ in the view (in this case source:/app/views/issues/_action_menu.rhtml#L2).

| guess this is one of the edgier cases of rails-usage, maybe Eric or Tim have an idea?

2011-07-12 01:35 am - Eric Davis

- Assignee set to Eric Davis

- Status changed from Open to Closed

Fixed in commit:dd6d9d1.

Felix: if you ever run into problems with using @url_for@ in @lib/@ or @vendor/@, look at how the @ViewHookListener@ does it. I've refined that
over the years to work as close as possible to an actual view.

2011-07-12 06:35 am - Felix Schéfer

Eric Davis wrote:

> Felix: if you ever run into problems with using @url_for@ in @lib/@ or @vendor/@, look at how the @ViewHookListener@ does it. I've refined that
over the years to work as close as possible to an actual view.

I'll try to remember it, thanks for the tip :-)
